* {
  box-sizing: border-box;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
span {
  margin: 0;
  padding: 0;
}

select {
  appearance: none;
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3e%3cpolyline points='6 9 12 15 18 9'%3e%3c/polyline%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right 15px center;
  background-size: 1em;
}

input {
  -webkit-appearance: none;
  border-radius: 0;
}

.configurator-form input,
.configurator-form select {
  /* max-width: 500px;
  width: 100%; */
  width: 235px;
  display: block;
  height: 40px;
  padding: 0 15px 0 20px;
  border: 1px solid;
  outline: none !important;
}

.configurator-form #results {
  margin-top: 50px;
  padding: 15px;
}

.active {
  opacity: 1 !important;
}

.configurator-form .step {
  display: none;
}

.configurator-form .step-1 {
  display: block;
}

.configurator-form .invalid {
  border: 2px solid red;
}
.form-final-text {
  display: none;
}

.bg-n {
  background: none !important;
}

.o5 {
  opacity: 0.5;
}
.mb-6 {
  margin-bottom: 60px !important;
}

.mt-3 {
  margin-top: 30px !important;
}

.bl-0 {
  border-left: none !important;
}
.bb-0 {
  border-bottom: none !important;
}

.form-short .mt-3 {
  margin-top: 12px !important;
}
.form-short .form-legal-line p {
  text-align: left !important;
}

.configurator-form {
  max-width: 1200px !important;
  width: 100%;
  margin: 10px auto;
  /* padding: 0 20px; */
}
.form-intro-text,
.form-final-text {
  margin: 30px 0;
  height: 195px;
  max-width: unset !important;
  width: 100%;
  background-color: #f5f5f5;
}

.form-intro-text-wrap {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 100%;
}

.form-intro-text .arrows,
.form-final-text .arrows {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
}
.form-intro-text .arrows:last-of-type,
.form-final-text .arrows:last-of-type {
  transform: rotate(180deg);
}
.form-intro-text .arrows img,
.form-final-text .arrows img {
  width: 71px;
  height: auto;
  object-fit: contain;
}

.form-intro-text h2,
.form-final-text h2 {
  font-size: 28px;
  font-weight: 700;
  letter-spacing: 1.2px;
  color: #4f4e4e;
  text-align: center;
  padding: 0 10px;
  text-transform: uppercase;
}

.form-final-text h2 {
  color: #87bf53 !important;
}
.configurator-form .form-legal-line p {
  font-size: 12px;
  line-height: 19px;
  font-weight: 300;
  color: #4f4e4e;
  text-align: center;
  margin-bottom: 20px;
}
.configurator-form .input-required {
  color: red;
  display: block;
  font-size: 10px;
  line-height: 19px;
  font-weight: 500;
  text-align: left;
  margin-bottom: 20px;
  margin-top: 20px;
}
.configurator-form .form-legal-line .form-legal-line-estimed {
  font-size: 25px;
  line-height: 33px;
  font-weight: 400;
  letter-spacing: 0.75px;
  text-transform: uppercase;
  color: #4f4e4e;
  text-align: center;
  margin-bottom: 11px;
}
.configurator-form
  .form-legal-line
  .form-legal-line-estimed
  .form-legal-line-time {
  font-size: 36px;
  line-height: 53px;
  font-weight: 900;
  text-transform: uppercase;
  color: #87bf53;
  text-align: center;
  margin-bottom: 20px;
}
.configurator-form .form-final-text h2 {
  font-size: 40px;
  line-height: 53px;
  font-weight: 900;
  text-transform: uppercase;
  color: #87bf53;
  text-align: center;
}

.step-banners {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 50px;
}
.step-banners .step-banner {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  max-width: 440px;
  width: 100%;
  height: 88px;
  background-color: #87bf53;
  margin-right: 20px;
  opacity: 0.5;
}
.step-banners .step-banner:last-of-type {
  margin-right: 0px;
}
.step-banners .step-banner span {
  background-color: #000;
  max-width: 88px;
  width: 100%;
  color: #fff;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  letter-spacing: 1.2px;
  font-size: 30px;
  font-weight: 700;
}

.step-banners .step-banner p {
  color: #fff;
  text-transform: uppercase;
  font-size: 1rem;
  font-weight: 700;
  text-align: center;
  width: 100%;
}

.step-properties {
  color: #4f4e4e;
  /* opacity: 0.5; */
  letter-spacing: 0.75px;
  font-weight: 700;
  font-size: 17px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 15px;
  max-width: 440px;
  width: 100%;
}

.step-properties label {
  display: flex;
  align-items: center;
}
.step-properties input,
select {
  margin-left: 20px;
  color: #4f4e4e;
  letter-spacing: 0.75px;
  font-weight: 700;
  font-size: 17px;
}
.step-properties input::placeholder,
select::placeholder {
  color: #4f4e4e;
  letter-spacing: 0.75px;
  font-weight: 700;
  font-size: 17px;
}
.step-3 .step-properties {
  margin-top: 15px;
}

.step-3-table {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 60px;
}

.step-3-table .step-properties {
  max-width: unset;
  width: 100%;
  height: 100%;
  margin-bottom: 0;
  margin-top: 0;
}

.step-3-table .step-properties input,
.step-3-table .step-properties select {
  width: 100%;
  height: 100%;
  margin-left: 0;
}

.step-3-table .step-properties input::placeholder,
.step-3-table .step-properties select::placeholder {
  color: #4f4e4e;
  letter-spacing: 0;
  font-weight: 700;
  font-size: 17px;
}

.step-5 div {
  font-size: 25px;
  line-height: 33px;
  color: #4f4e4e;
}

.step-5 div hr {
  width: 30%;
  outline: none;
  margin: 10px 0 0;
  border-top: 1px solid;
  border-bottom: none;
  border-left: none;
  border-right: none;
}

.step-5 p {
  font-size: 25px;
  line-height: 33px;
  color: #4f4e4e;
  letter-spacing: 0.75px;
  text-align: center;
  width: 88%;
  margin: 0 auto 34px;
}

.buttons-step {
  display: flex;
  flex-direction: row;
  align-items: center;
  position: relative;
  margin-top: 30px;
}

.buttons-step .change-step:first-of-type {
  margin-right: 20px;
}

.change-step {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  max-width: 440px;
  width: 100%;
  height: 50px;
  padding: 0;
  background-color: #87bf53;
  outline: none;
  border: none;
  color: #fff;
  text-transform: uppercase;
  font-size: 17px;
  font-weight: 700;
  text-align: center;
  opacity: 0.5;
  cursor: pointer;
}
.change-step span {
  position: absolute;
  left: 0;
  background-color: #000;
  max-width: 88px;
  width: 100%;
  color: #fff;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  letter-spacing: 1.2px;
  font-size: 30px;
  font-weight: 700;
}

/* Custom checkmark */
.checkbox-container {
  position: relative;
  cursor: pointer;
  user-select: none;
  display: flex;
  align-items: center;
}
/* Hide the browser's default checkbox */
.checkbox-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}
/* Create a custom checkbox */
.checkmark {
  position: relative;
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  background-color: #fff;
  border: 1px solid #4f4e4e;
  margin-left: 20px;
}
.checkbox-container:hover input ~ .checkmark {
  background-color: #ccc;
}
.checkbox-container input:checked ~ .checkmark {
  background-color: #87bf53;
}
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}
.checkbox-container input:checked ~ .checkmark:after {
  display: block;
}
/* Style the checkmark/indicator */
.checkbox-container .checkmark:after {
  left: 9px;
  top: 5px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

@media only screen and (max-width: 1270px) {
  .form-intro-text-wrap {
    padding: 0 20px;
  }
}

@media only screen and (max-width: 1024px) {
  .form-intro-text-wrap {
    padding: 0 20px;
  }
}

@media only screen and (max-width: 900px) {
  .step-banners .step-banner {
    height: 68px;
  }

  .step-banners .step-banner span {
    font-size: 20px;
    max-width: 48px;
  }

  .step-banners .step-banner p {
    font-size: 0.8rem;
    padding: 0 5px;
  }

  .buttons-step .change-step:first-of-type {
    margin-right: 2px;
  }

  .change-step span {
    max-width: 50px;
    font-size: 15px;
  }
}

@media only screen and (max-width: 700px) {
  .mb-6 {
    margin-bottom: 30px !important;
  }
  .bl-0,
  .bb-0 {
    border: 1px solid !important;
  }

  .bt-0 {
    border-top: none !important;
  }

  .configurator-form input,
  .configurator-form select {
    max-width: 235px;
    width: 100%;
    height: 50px;
    font-size: 15px;
  }

  .form-intro-text,
  .form-final-text {
    height: 100px;
  }
  .form-intro-text-wrap {
    justify-content: center;
  }

  .form-intro-text .arrows,
  .form-final-text .arrows {
    display: none;
  }

  .form-intro-text h2,
  .form-final-text h2 {
    text-align: center;
    font-size: 20px;
    line-height: 26px;
  }
  .configurator-form .form-legal-line p {
    font-size: 12px;
    line-height: 16px;
    text-align: left;
  }
  .configurator-form .input-required {
    font-size: 8px;
    line-height: 16px;
  }

  .configurator-form .form-legal-line .form-legal-line-estimed {
    font-size: 15px;
    line-height: 20px;
    font-weight: 400;
    margin-bottom: 0;
  }
  .configurator-form
    .form-legal-line
    .form-legal-line-estimed
    .form-legal-line-time {
    font-size: 20px;
    line-height: 26px;
    margin-bottom: 12px;
  }
  .step-banners {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    margin-bottom: 10px;
  }

  .step-banners .step-banner {
    margin-right: 0px;
    max-width: 100%;
    width: 100%;
    height: 50px;
  }

  .step-banners .step-banner p {
    font-size: 20px;
    padding: 0 5px;
  }

  .step-properties {
    font-size: 15px;
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 5px;
    justify-content: space-between;
    max-width: unset;
    width: 100%;
  }

  .step-properties input::placeholder,
  .step-properties select::placeholder {
    font-size: 15px;
  }

  .step-3 .step-properties {
    margin-top: 15px;
    margin-bottom: 15px;
  }

  .step-3-table {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    height: 100px;
  }

  .step-3-table .step-properties {
    margin-top: 0;
    margin-bottom: 0;
  }

  .step-3-table .step-properties input,
  .step-3-table .step-properties select {
    max-width: unset;
  }

  .step-3-table .step-properties input::placeholder,
  .step-3-table .step-properties select::placeholder {
    font-size: 15px;
  }

  .step-5 div {
    font-size: 15px;
    line-height: 20px;
  }

  .step-5 p {
    font-size: 15px;
    line-height: 20px;
  }

  .buttons-step {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }

  .buttons-step .change-step {
    max-width: unset;
  }

  .form-short .step-3-table {
    height: 200px;
  }

  .form-short .step-3-table .change-step {
    max-width: unset;
    width: 100%;
  }
}

@media only screen and (max-width: 380px) {
  .step-properties {
    font-size: 12px;
  }

  .step-properties input,
  .step-properties select {
    font-size: 12px;
    margin-left: 0.5rem;
  }
  .step-properties input::placeholder,
  .step-properties select::placeholder {
    font-size: 12px;
  }

  .configurator-form input,
  .configurator-form select {
    padding: 0 5px 0 10px;
    font-size: 12px;
  }

  .step-banners .step-banner p {
    font-size: 16px;
  }

  .change-step {
    font-size: 15px;
  }
}
